Bug 245031 - Screen resolution set/fixed to 800x600 ?
Summary: Screen resolution set/fixed to 800x600 ?
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-20 16:57 UTC by Tom London
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-30 13:32:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshop with control-center-2.19.5-4.fc8 (628.19 KB, image/png)
2007-07-26 14:22 UTC, Tom London
no flags Details
Screenshop with control-center-2.19.4-1.fc8 (623.88 KB, image/png)
2007-07-26 14:24 UTC, Tom London
no flags Details

Description Tom London 2007-06-20 16:57:18 UTC
Description of problem:
Installing control-center-2.19.4-3.fc8, the screen resolution appears to be
set/fixed at 800x600 (instead of 1280x1024).

Reverting to control-center-2.19.4-1.fc8 fixes this.

Version-Release number of selected component (if applicable):
control-center-2.19.4-3.fc8

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2007-06-25 13:53:16 UTC
This continues to give me a 'big screen' with control-center-2.19.4-4.fc8.i386.

Reverting to control-center-2.19.4-1.fc8.i386 'fixes for me'.

Comment 2 Tom London 2007-06-27 23:38:48 UTC
I continue to get an 800x600 screen with control-center-2.19.4-5.fc8.

Reverting to control-center-2.19.4-1.fc8 fixes.....

Comment 3 Tom London 2007-07-07 16:17:55 UTC
control-center-2.19.4-7.fc8.i386 does this too.

I don't understand what is happening here: each time I update control-center
beyond 2.19.4-1.fc8 it messes up the resolution of my screen: it looks as if
things are displayed at about 800x600, but xrandr reports it as 1280x1024.

This is happening on my Thinkpad X60 running both the 'i810' and 'intel' drivers.

Here is output of 'diff Xorg.0.log Xorg.0.log.old' (Xorg.0.log running 2.19.4-1,
Xorg.0.log.old running 2.19.4-7):

[root@localhost log]# diff Xorg.0.log Xorg.0.log.old | more
15c15
< (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jul  7 09:05:08 2007
---
> (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jul  7 09:03:05 2007
938c938
< (II) intel(0): [drm] mapped SAREA 0xf8fa8000 to 0xb7fa3000
---
> (II) intel(0): [drm] mapped SAREA 0xf8fa8000 to 0xb7f78000
1910c1910,1919
< (II) 3rd Button detected: disabling emulate3Button
---
> (II) intel(0): [drm] removed 1 reserved context for kernel
> (II) intel(0): [drm] unmapping 8192 bytes of SAREA 0xf8fa8000 at 0xb7f78000
> (EE) intel(0): I830 Vblank Pipe Setup Failed 0
> (EE) intel(0): I830 Vblank Pipe Setup Failed 0
> (EE) intel(0): I830 Vblank Pipe Setup Failed 0
> (II) intel(0): xf86UnbindGARTMemory: unbind key 0
> (II) intel(0): xf86UnbindGARTMemory: unbind key 1
> (II) intel(0): xf86UnbindGARTMemory: unbind key 2
> (II) intel(0): xf86UnbindGARTMemory: unbind key 3
> (II) intel(0): xf86UnbindGARTMemory: unbind key 4
[root@localhost log]# 

Is there some other information or probing that I can do?



Comment 4 Tom London 2007-07-24 14:45:51 UTC
control-center-2.19.5-3.fc8 continues to miss function for me.

Reverting to control-center-2.19.4-1.fc8 'fixes' this for me.

I'm at a loss as to what additional info I can provide....

With the 'newer' control-center, the display has everything rendered 'very big';
one 24x80 terminal window barely fits on my 19 inch monitor.

System->Preferences->Hardware->Screen Resolution appears to think the resolution
is 1280x1024, but it is definitely not!

Comment 5 Tom London 2007-07-26 14:22:14 UTC
Created attachment 160021 [details]
Screenshop with control-center-2.19.5-4.fc8

control-center-2.19.5-4.fc8 continues to have this problem.

I attach a screenshot taken when running with it.

Below I attach screenshot taken when running control-center-2.19.4-1.fc8.

Comment 6 Tom London 2007-07-26 14:24:13 UTC
Created attachment 160022 [details]
Screenshop with control-center-2.19.4-1.fc8

Screenshot when running with control-center-2.19.4-1.fc8

Any help appreciated!

Comment 7 Tom London 2007-07-28 16:31:50 UTC
OK... I think I've figured this out.

Seems that the 'font rendering resolution' was set at 136 DPI.  That is,
System->Preferences->Look and Feel->Appearance, Font tab, Details showed
Resolution at 136 DPI.

No idea how that got set.  Setting this to 96 DPI, logging out and logging back
in 'fixes' this. (Running control-center-2.19.5-4.fc8).

I'm guessing something changed with control-center so that it actually 'used'
this value.  [Having a setting of 136 DPI appeared to have 'no effect' with
older versions of control-center.]

Sorry for the noise.

Close?



Comment 8 Ray Strode [halfline] 2007-07-30 13:32:29 UTC
At one point settings-daemon was broken in rawhide where the dpi settings would
have had no effect.  You may have changed it then.

Thanks for figuring this one out.


Note You need to log in before you can comment on or make changes to this bug.